<?php
define('_IN_JOHNCMS', 1);
$headmod = 'manager';
$textl='Назначение товарищеского матча';
require_once("../incfiles/core.php");
require_once("../incfiles/head.php");
require_once("manfunc.php");

if($id)
{
	$q=mysql_query("select * from fman_clubs where id=$id;");
	$a=mysql_fetch_array($q);

	$qu=mysql_query("select * from users where id=$a[user_id];");
	$udata=mysql_fetch_array($qu);
	echo"<h2 align='center'>$textl команде $a[name]</h2>";
	if($_POST[otkl])
	{
		$cid=intval($_POST[club_id]);
		if($a[id]==$club_id)
		{
			$wtext='Руководство клуба <a href="/man/club.php?id='.$club_id.'">'.$club_name.'</a> отклонило ваше предложение сыграть товарищеский матч.';
			mysql_query("insert into `privat` set `user`='$_POST[name]', `text`='$wtext', `time`='$realtime', `author`='Футбольный менеджер', `type`='in', `chit`='no', `temka`='Ваше предложение отклонено!'");

			$usid=$_POST[usid];
			$qus=mysql_query("select text from privat where id=$usid;");
			$aus=mysql_fetch_array($qus);
			$atext=str_replace('<input type="submit" name="prin" value="Принять"/><br/><input type="submit" name="otkl" value="Отклонить"/>','',$aus[text]);
			mysql_query("update privat set text='$atext' where id=$usid");
			echo"<div class='menu'>Действие успешно выполнено! Вы отклонили заявку на товарищеский матч!</div>";
		}
	}
	else
	{
		if($_POST[prin])
		{

			$cid=intval($_POST[club_id]);

			$pole=$_POST[pole];

			$tm=$realtime+1200;
			$res1=mysql_result(mysql_query("select count(*) from fman_matches where (id1=$club_id or id2=$club_id) and time<".($tm+1200)." and time>".($tm-1200).";"),0);
			$res2=mysql_result(mysql_query("select count(*) from fman_matches where (id1=$cid or id2=$cid) and time<".($tm+1200)." and time>".($tm-1200).";"),0);
			if($res1 || $res2)$e='Ошибка! Матч не может состоятся, так как одна из команд играет другой матч параллельно.';
			if($a[id]!=$club_id)$e='Ошибка!';
			if($e)echo"<div class='rmenu'>$e</div>"; else{
			$wtext='Руководство клуба <a href="/man/club.php?id='.$club_id.'">'.$club_name.'</a> приняло ваше предложение сыграть товарищеский матч. Матч состоится '.functions::display_date($tm).'.';
			mysql_query("insert into `privat` set `user`='".functions::check($_POST[name])."', `text`='$wtext', `time`='$realtime', `author`='Футбольный менеджер', `type`='in', `chit`='no', `temka`='Ваше предложение принято!'");
			$qc1=mysql_query("select * from fman_clubs where id=$cid;");
			$cdata=mysql_fetch_array($qc1);
			if($pole==1){$kom1=$cdata[name]; $id1=$cid; $kom2=$club_name; $id2=$club_id;}
			if($pole==2){$kom2=$cdata[name]; $id2=$cid; $kom1=$club_name; $id1=$club_id;}
			mysql_query("insert into fman_matches set time=$tm, turn='tm', tur=1, end=0, kom1='$kom1', id1=$id1, kom2='$kom2', id2=$id2, sc1=0, sc2=0");

			$usid=(int)$_POST[usid];
			$qus=mysql_query("select text from privat where id=$usid;");
			$aus=mysql_fetch_array($qus);
			$atext=str_replace('<input type="submit" name="prin" value="Принять"/><br/><input type="submit" name="otkl" value="Отклонить"/>','',$aus[text]);
			mysql_query("update privat set text='$atext' where id=$usid");
			echo"<div class='menu'>Действие успешно выполнено! Товарищеский матч $kom1 - $kom2 состоится ".functions::display_date($tm).".</div>";
			}
		}
		else
		{
			if(!$_POST[submit])
			{
				echo"<form action='tm.php?id=$id' method='post'><div class='menu'>
				Укажите где вы хотите провести матч:<br/>
				<input type='radio' name='pole' value='1' checked='checked'/> Дома<br/>
				<input type='radio' name='pole' value='2'/> В гостях<br/>
				<input type='submit' name='submit' value='Отправить'/></div></form>";
			}
			else
			{
				if($_POST[pole]==2)$pole1="дома";

				if($_POST[pole]==1)$pole1="в гостях";
				$wtext='Вам поступило предложение от руководства клуба <a href="/man/club.php?id='.$club_id.'">'.$club_name.'</a> сыграть товарищеский матч ('.$pole1.'). Вы можете принять, либо отклонить предложение. Матч будет сыгран через 20 минут после принятия предложения.<form action="/man/tm.php?id='.$id.'" method="post"><input type="hidden" name="pole" value="'.$_POST[pole].'"/><input type="hidden" name="club_id" value="'.$club_id.'"/><input type="hidden" name="name" value="'.$login.'"/><input type="submit" name="prin" value="Принять"/><br/><input type="submit" name="otkl" value="Отклонить"/></form>';
				mysql_query("insert into `privat` set `user`='$udata[name]', `text`='$wtext', `time`='$realtime', `author`='Футбольный менеджер', `type`='in', `chit`='no', `temka`='Предложение сыграть товарищеский матч'");

				$usid=mysql_insert_id();
				$qus=mysql_query("select text from privat where id=$usid;");
				$aus=mysql_fetch_array($qus);
				$atext=str_replace('<input type="hidden" name="club_id" value="'.$club_id.'"/>','<input type="hidden" name="club_id" value="'.$club_id.'"/><input type="hidden" name="usid" value="'.$usid.'"/>',$aus[text]);
				mysql_query("update privat set text='$atext' where id=$usid");
				echo"<div class='menu'>Ваше предложение отправлено руководству клуба! Ответ на него ждите по внутренней почте.</div>";
			}
		}
	}
	echo"<div class='phdr'><a href='club.php?id=$id'>$a[name]</a><br/><a href='index.php'>Фут.менеджер</a></div>";
}
require_once("../incfiles/end.php"); 
?>
